Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Class NotifyDescriptor.Confirmation

    java.lang.Object
      org.openide.NotifyDescriptor
          org.openide.NotifyDescriptor.Confirmation

Direct Known Subclasses:
  NotifyDescriptor.Exception

Enclosing class:
  NotifyDescriptor

    public static class NotifyDescriptor.Confirmation

extends NotifyDescriptor

Provides a description of a possible action and requests confirmation from the user before proceeding. This should be used to alert the user to a condition or situation that requires the user's decision before proceeding, such as an impending action with potentially destructive or irreversible consequences. It is conventionally in the form of a question: for example, "Save changes to TestForm?"

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.NotifyDescriptor
`NotifyDescriptor.Confirmation, NotifyDescriptor.Exception, NotifyDescriptor.InputLine, NotifyDescriptor.Message`

Field Summary

Fields inherited from class org.openide.NotifyDescriptor
`CANCEL_OPTION, CLOSED_OPTION, DEFAULT_OPTION, ERROR_MESSAGE, INFORMATION_MESSAGE, NO_OPTION, OK_CANCEL_OPTION, OK_OPTION, PLAIN_MESSAGE, PROP_DETAIL, PROP_MESSAGE, PROP_MESSAGE_TYPE, PROP_OPTION_TYPE, PROP_OPTIONS, PROP_TITLE, PROP_VALID, PROP_VALUE, QUESTION_MESSAGE, WARNING_MESSAGE, YES_NO_CANCEL_OPTION, YES_NO_OPTION, YES_OPTION`

Constructor Summary
`NotifyDescriptor.Confirmation(Object message)` Create a yes/no/cancel question with default title.
`NotifyDescriptor.Confirmation(Object message, int optionType)` Create a question with default title.
`NotifyDescriptor.Confirmation(Object message, int optionType, int messageType)` Create a confirmation with default title.
`NotifyDescriptor.Confirmation(Object message, String title)` Create a yes/no/cancel question.
`NotifyDescriptor.Confirmation(Object message, String title, int optionType)` Create a question.
`NotifyDescriptor.Confirmation(Object message, String title, int optionType, int messageType)` Create a confirmation.

Method Summary

Methods inherited from class org.openide.NotifyDescriptor
`addPropertyChangeListener, firePropertyChange, getAdditionalOptions, getDefaultValue, getMessage, getMessageType, getOptions, getOptionType, getTitle, getTitleForType, getValue, initialize, isValid, removePropertyChangeListener, setAdditionalOptions, setMessage, setMessageType, setOptions, setOptionType, setTitle, setValid, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyDescriptor.Confirmation

    public NotifyDescriptor.Confirmation(Object message)

  Create a yes/no/cancel question with default title.

  Parameters:
    `message` - the message object
  See Also:
    `NotifyDescriptor.NotifyDescriptor(java.lang.Object, java.lang.String, int, int, java.lang.Object[], java.lang.Object)`

### NotifyDescriptor.Confirmation

    public NotifyDescriptor.Confirmation(Object message,
                                         String title)

  Create a yes/no/cancel question.

  Parameters:
    `message` - the message object
    `title` - the dialog title
  See Also:
    `NotifyDescriptor.NotifyDescriptor(java.lang.Object, java.lang.String, int, int, java.lang.Object[], java.lang.Object)`

### NotifyDescriptor.Confirmation

    public NotifyDescriptor.Confirmation(Object message,
                                         int optionType)

  Create a question with default title.

  Parameters:
    `message` - the message object
    `optionType` - the type of options to display to the user
  See Also:
    `NotifyDescriptor.NotifyDescriptor(java.lang.Object, java.lang.String, int, int, java.lang.Object[], java.lang.Object)`

### NotifyDescriptor.Confirmation

    public NotifyDescriptor.Confirmation(Object message,
                                         String title,
                                         int optionType)

  Create a question.

  Parameters:
    `message` - the message object
    `title` - the dialog title
    `optionType` - the type of options to display to the user
  See Also:
    `NotifyDescriptor.NotifyDescriptor(java.lang.Object, java.lang.String, int, int, java.lang.Object[], java.lang.Object)`

### NotifyDescriptor.Confirmation

    public NotifyDescriptor.Confirmation(Object message,
                                         int optionType,
                                         int messageType)

  Create a confirmation with default title.

  Parameters:
    `message` - the message object
    `optionType` - the type of options to display to the user
    `messageType` - the type of message to use
  See Also:
    `NotifyDescriptor.NotifyDescriptor(java.lang.Object, java.lang.String, int, int, java.lang.Object[], java.lang.Object)`

### NotifyDescriptor.Confirmation

    public NotifyDescriptor.Confirmation(Object message,
                                         String title,
                                         int optionType,
                                         int messageType)

  Create a confirmation.

  Parameters:
    `message` - the message object
    `title` - the dialog title
    `optionType` - the type of options to display to the user
    `messageType` - the type of message to use
  See Also:
    `NotifyDescriptor.NotifyDescriptor(java.lang.Object, java.lang.String, int, int, java.lang.Object[], java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.